Subject: Re: [Mingw-users] Re: GL/gl.h in w32api
From: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 12 Apr 2001 03:29:13 -0400

[email-masked], Earnie Boyd <[email-masked]> wrote:
>
> Christopher Faylor wrote:
> > 
> > On Wed, Apr 11, 2001 at 11:32:56AM -0600, Roger Sayle wrote:
> > >
> > >Andre Bleau wrote:
> > >> Maybe there is some misunderstanding here.  The OpenGL package for
> > >> Cygwin _already_ contains the headers for MS implementation of OpenGL
> > >> and GLU.
> > >>
> 
> I've come to the same conclusion as to about where they should be
> located.  However, I think that the OpenGL package should be what puts
> them there.  I can be convinced otherwise though.  If Andre Bleau or
> anyone else want's to consider matching lib/*.def and include/GL/*.h
> files to be included in the w32api package then please upload the
> patches with appropriate ChangeLog entries at
> https://sourceforge.net/tracker/?func=add&group_id=2435&atid=302435 and
> I'll take a look.
> 
> Earnie.

It just means trouble using OpenGL 1.2 headers with MS OpenGL 1.1
checking version at compile time does not work. 

It is also a misunderstanding that your opengl32.dll is updated. 
Even if your driver supports 1.2 will they not be loaded you have to do it
yourself with wglGetProcAddress like with extensions.

To load for example glBlendEquation do you want to have it defined like
PFNGLBLENDEQUATIONPROC glBlendEquation;
but the 1.2 header has
extern void APIENTRY glBlendEquation (GLenum mode);

MS wgl functions is GDI functions and already in wingdi.h perhaps a bad solution but that is how it works on the windows platform.

I have uploaded the headers from the SGI 1.1 OpenGL implementation together with
the extension headers glext.h and wglext.h
I recommend them instead mainly because of the above.

Peter

__________________________________________________________________
Get your own FREE, personal Netscape Webmail account today at http://webmail.netscape.com/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple